跳轉到主要內容
POST
/
v1
/
tasks
curl -X POST https://qingbo.dev/v1/tasks \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "veo-3.1",
    "action": "generate",
    "prompt": "A golden retriever running on a beach at sunset, cinematic lighting, slow motion",
    "aspect_ratio": "16:9",
    "duration": 8,
    "resolution": "1080p"
  }'
{
  "task_id": "task-wave1775285160b950328499",
  "model": "veo-3.1",
  "action": "generate",
  "status": "queued",
  "created_at": 1775285160040,
  "progress": 0
}
非同步處理模式 — 提交請求後回傳任務 ID,透過 查詢任務狀態 介面取得生成結果。影片連結有效期 24 小時,請及時下載。
curl -X POST https://qingbo.dev/v1/tasks \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "veo-3.1",
    "action": "generate",
    "prompt": "A golden retriever running on a beach at sunset, cinematic lighting, slow motion",
    "aspect_ratio": "16:9",
    "duration": 8,
    "resolution": "1080p"
  }'
{
  "task_id": "task-wave1775285160b950328499",
  "model": "veo-3.1",
  "action": "generate",
  "status": "queued",
  "created_at": 1775285160040,
  "progress": 0
}

可用模型

模型 ID說明
veo-3.1VEO 3.1,支援 4K、原生音訊
veo-3.1-fastVEO 3.1 快速版
veo-3.0VEO 3.0

統一參數

model
string
必填
模型 ID
action
string
預設值:"generate"
操作類型
prompt
string
必填
影片描述文字。VEO 3+ 支援在 prompt 中描述音效和對白,模型會自動生成對應音訊
aspect_ratio
string
預設值:"16:9"
寬高比:16:99:16
duration
integer
預設值:"8"
影片時長(秒):468
resolution
string
預設值:"720p"
輸出解析度,可選值取決於模型,見各模型 Tab
negative_prompt
string
不希望出現的內容,直接描述即可(不要用否定語句)
seed
integer
隨機種子,提高可重複性(不保證完全一致)。僅 VEO 3.1 系列支援
callback_url
string
Webhook 回呼位址
extra
object
透傳給 Google VEO 的額外參數,詳見各模型 Tab

模型特定參數

resolution 可選值: 720p1080p4k
extra.personGeneration
string
預設值:"allow_all"
人物生成控制:
  • allow_all — 允許所有人物
  • allow_adult — 僅允許成年人
  • dont_allow — 禁止人物生成
獨有能力:
  • 原生音訊生成(對白 + 環境音 + 音效,無需額外參數)
  • 4K 解析度輸出

約束條件

條件要求
解析度 1080p4kduration 必須為 8
解析度 4k僅 VEO 3.1 和 3.1 Fast 支援
輸出幀率24 FPS
輸出格式MP4
VEO 3+ 原生支援音訊生成,無需額外參數。在 prompt 中描述音效即可(如 “the sound of waves crashing”)。

回應

task_id
string
任務 ID
model
string
使用的模型 ID
action
string
操作類型
status
string
任務狀態:queued
created_at
integer
建立時間(Unix 毫秒時間戳)
progress
integer
進度,初始為 0